# Generated from rate_attack-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rate_attack

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Throttle feature usage
License: MIT
URL: https://github.com/wilkosz/rateattack-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.2
# BuildRequires: rubygem(appraisal) >= 2.4
# BuildRequires: rubygem(appraisal) < 3
# BuildRequires: rubygem(rack-test) >= 1.0
# BuildRequires: rubygem(rack-test) < 2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 1.12.1
# BuildRequires: rubygem(rubocop) < 1.13
# BuildRequires: rubygem(rubocop-performance) >= 1.10.1
# BuildRequires: rubygem(rubocop-performance) < 1.11
# BuildRequires: rubygem(timecop) >= 0.9.4
# BuildRequires: rubygem(timecop) < 0.10
# BuildRequires: rubygem(railties) >= 6.0
BuildArch: noarch

%description
A rack middleware for ratelimiting and tracking feature utilization.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Appraisals
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rate_attack.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.0.1-1
- Initial package
